#
# spec file for package gup
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gup
Version:        0.3
Release:        1012.5
Summary:        Group Update Program for INN and C-News
License:        SUSE-Public-Domain
Group:          Productivity/Networking/News/Utilities
Source:         gup.tar.gz
Patch0:         gup.dif
Patch1:         gup-fdleak.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       inn

%description
A Group Update Program that accepts commands by mail to edit a
newsgroup subscription file.  It can be used by news systems such as
INN and C-News.



Authors:
--------
    Andrew  Herbert <andrew@werple.apana.org.au>
    Mark Delany <markd@bush-wire.apana.org.au>

%prep
%setup -n gup
%patch0
%patch1

%build
export RPM_OPT_FLAGS
make all %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/news/bin
install gup sample/{gupdate,gupadd,gupverify} $RPM_BUILD_ROOT/usr/lib/news/bin/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 gup.1 $RPM_BUILD_ROOT%{_mandir}/man1/
var=/var/lib/news/gup
mkdir -p $RPM_BUILD_ROOT$var/sites $RPM_BUILD_ROOT$var/default
install -m 600 sample/config $RPM_BUILD_ROOT$var
install -m 644 sample/{gup_headers,gupconfig,newsfeeds.{start,end}} $RPM_BUILD_ROOT$var
install -m 644 sample/default/{exclude,groups,header,trailer} $RPM_BUILD_ROOT$var/default/
touch $RPM_BUILD_ROOT$var/log
chmod 600 $RPM_BUILD_ROOT$var/log

%files
%defattr(-,root,root)
%doc INSTALL README README.linux
%dir /usr/lib/news/bin
/usr/lib/news/bin/gup
/usr/lib/news/bin/gupadd
/usr/lib/news/bin/gupdate
/usr/lib/news/bin/gupverify
%{_mandir}/man1/gup.1.gz
%defattr(-,news,news)
%dir /var/lib/news/gup
%dir /var/lib/news/gup/default
%dir /var/lib/news/gup/sites
%config(noreplace) /var/lib/news/gup/config
/var/lib/news/gup/default/exclude
/var/lib/news/gup/default/groups
/var/lib/news/gup/default/header
/var/lib/news/gup/default/trailer
/var/lib/news/gup/gup_headers
%config(noreplace) /var/lib/news/gup/gupconfig
/var/lib/news/gup/log
/var/lib/news/gup/newsfeeds.end
/var/lib/news/gup/newsfeeds.start

%changelog
* Wed Oct  8 2014 jengelh@inai.de
- Remove old specfile tags and sections
* Fri Sep  4 2009 mls@suse.de
- fix fd leak [bnc#525333]
* Thu Jan 24 2008 coolo@suse.de
- fix open call
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Mon Jun 23 2003 mls@suse.de
- remove /var/lib/news from filelist, it's in filesystem.rpm
* Tue May 27 2003 coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Dec 11 2001 ma@suse.de
- taged /var/lib/news/gup/{config,gupconfig} as config files.
* Tue Oct 31 2000 ma@suse.de
- removed group unsorted
* Tue May 30 2000 ro@suse.de
- doc relocation
* Thu Mar  2 2000 ma@suse.de
- use %%{_mandir}
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Sep 20 1998 ro@suse.de
- dont redeclare sys_errlist for glibc
- move initialisation of log_fp into main-function
* Tue May 27 1997 florian@suse.de
- add working support scripts for INN
